Subject: bug#3643: emacs -Q doesn't fit on the user's screen

From: Stefan Monnier <[email-masked]>
Date: Thu, 28 Jan 2010 14:06:59 -0500

> Ok.  Maybe close this bug wih WONTFIX and tell people to get a better window
> manager?  Your Emacs is too big for your desktop area, but the wm
> fixes that.
> On compiz/metacity starting Emacs with something crazy like -geometry
> 80x4000+9000+9000 still produces a window that is within bounds.

I don't think that's the right answer.  I consider metacity's insistence
on preventing the user from resizing the window to be larger than the
screen to be a bug (or its insistence on preventing the user from
moving a window above the screen's top, similarly).

So I think Emacs should try to do a better job choosing a default size,
based on the screen size, such that the default size (including WM
decorations) is not larger than the screen.

        Stefan